/***************************************************************************
 * Copyright 2013 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.persistence.impl.util;

import javax.annotation.Nullable;

import com.google.common.base.Function;

/**
 * A function which simply casts from the source type to the target type.
 * 
 * @author Nils Christian Ehmke
 * 
 * @param <S>
 *            The source type.
 * @param <T>
 *            The target type.
 */
public class SimpleCastFunction<S, T> implements Function<S, T> {

	/**
	 * Default constructor.
	 */
	public SimpleCastFunction() {
		// No code necessary
	}

	@SuppressWarnings("unchecked")
	@Override
	@Nullable
	public T apply(@Nullable final S elem) {
		return (T) elem;
	}

}
